### Method

# EDataServer SourceResource get_identity

since: 3.6

#### Declaration [src]

    const gchar*
    e_source_resource_get_identity (
      ESourceResource* extension
    )

#### Description [src]

Returns the server-assigned identity of the remote resource associated with the `ESource` to which `extension` belongs.

Available since: 3.6

Gets property | `EDataServer.SourceResource:identity`

#### Return value

Type: `const gchar*`

The identity of a remote resource.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.